## python-skbio 0.6.3

=== Makefile ===
# ----------------------------------------------------------------------------
# Copyright (c) 2013--, scikit-bio development team.
#
# Distributed under the terms of the Modified BSD License.
#
# The full license is in the file LICENSE.txt, distributed with this software.
# ----------------------------------------------------------------------------

ifeq ($(WITH_COVERAGE), TRUE)
	TEST_COMMAND = coverage run --rcfile ../.coveragerc -m skbio.test && coverage report --rcfile ../.coveragerc
else
	TEST_COMMAND = python -m skbio.test
endif

.PHONY: doc web lint test dev install

doc:
	$(MAKE) -C doc clean html

web:
	$(MAKE) -C web clean html

clean:
	$(MAKE) -C doc clean
	$(MAKE) -C web clean
	rm -rf build dist scikit_bio.egg-info

lint:
	ruff check skbio setup.py checklist.py
	./checklist.py
	check-manifest

# cd into a directory that is different from scikit-bio root directory to
# simulate a user's install and testing of scikit-bio. Running from the root
# directory will find the `skbio` subpackage (not necessarily the installed
# one!) because cwd is considered in Python's search path. It is important to
# simulate a user's install/test process this way to find package data that did
# not install correctly (for example).
test:
	cd ci && $(TEST_COMMAND)

install:
	pip install .

dev:
	pip install -e .

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.

# Turn warnings into errors.
SPHINXOPTS    = -W
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

# In addition to removing everything from the build directory, we must also
# remove the stubs for classes, functions, etc. that autosummary creates during
# the build process. This differs from the original 'make clean' target that is
# created by sphinx-quickstart.
clean:
	rm -rf $(BUILDDIR)/* source/generated

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/scikit-bio.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/scikit-bio.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/scikit-bio"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/scikit-bio"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-skbio (0.6.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.7.2 (routine-update)
  * d/control: reformat, remove unneeded versioned dependency
    information for scipy.
  * Refreshed patches, added additional -doc dependencies. Removed two
    patches applied upstream.
  * Add missing build dependency on python3-numpy-dev for command dh_numpy3.
  * Reformatted upstream metadata fields.
  * d/rules: set MPLCONFIGDIR while building the docs
  * d/control: additional docs dependency: python3-sphinx-sitemap
  * d/rules: use the skbio.test wrapper for pytest.
  * Fixed some lintian overrides syntax
  * Added patch to disable use of Google analytics for the docs.
  * d/patches/no_privacy_breach_logo.patch: fix metadata

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 02 Sep 2025 19:41:32 +0200

=== debian/control ===
Source: python-skbio
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Kevin Murray <kdmfoss@gmail.com>,
           Étienne Mollier <emollier@debian.org>
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cython3 (>= 3),
               dh-sequence-python3,
               python3-all-dev,
               python3-biom-format,
               python3-setuptools,
               python3-numpy,
               python3-matplotlib,
               python3-cachecontrol,
               python3-decorator,
               python3-h5py,
               python3-pandas,
               python3-scipy,
               python3-ipython,
               python3-hdmedians,
               python3-sklearn,
               python3-natsort,
               python3-statsmodels,
               libssw-dev,
               sphinx-common,
               libsimde-dev,
               python3-numpy-dev
Build-Depends-Arch: python3-pytest <!nocheck>,
                    architecture-is-64-bit
Build-Depends-Indep: python3-sphinx <!nodoc>,
                     python3-sphinx-design <!nodoc>,
                     python3-sphinx-copybutton <!nodoc>,
                     python3-sphinx-sitemap <!nodoc>,
                     python3-pydata-sphinx-theme <!nodoc>,
                     python3-doc <!nodoc>,
                     python3-numpydoc <!nodoc>,
                     python-scipy-doc <!nodoc>,
                     python-biom-format-doc <!nodoc>,
                     python-pandas-doc <!nodoc>,
                     python-numpy-doc <!nodoc>,
                     python-matplotlib-doc <!nodoc>,
                     python-sklearn-doc <!nodoc>,
                     python-statsmodels-doc <!nodoc>
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/python-skbio
Vcs-Git: https://salsa.debian.org/med-team/python-skbio.git
Homepage: https://github.com/biocore/scikit-bio
Rules-Requires-Root: no

Package: python-skbio-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax
Recommends: python3-skbio (= ${binary:Version})
Suggests: python3-doc,
          python-scipy-doc,
          python-biom-format-doc,
          python-pandas-doc,
          python-numpy-doc
Built-Using: ${sphinxdoc:Built-Using}
Description: Data structures, algorithms, educational resources for bioinformatics (docs)
 Scikit-bio is a Python package providing data structures, algorithms, and
 educational resources for bioinformatics.
 .
 This is the HTML documentation for skbio.
Build-Profiles: <!nodoc>

Package: python3-skbio
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-hdmedians,
         python3-h5py
Suggests: python-skbio-doc (= ${binary:Version})
Breaks: unifrac (<< 1.3-3)
Description: Python3 data structures, algorithms, educational resources for bioinformatic
 Scikit-bio is a Python package providing data structures, algorithms, and
 educational resources for bioinformatics.
 .
 This is the package for Python3

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
export DEB_CPPFLAGS_MAINT_APPEND = -I$(CURDIR)

export PYBUILD_NAME=skbio
export PYBUILD_TEST_ARGS=python{version} -m skbio.test
export MPLBACKEND=agg
DOCPKG=python-$(PYBUILD_NAME)-doc
export USE_CYTHON=1
export PYBUILD_TEST_CUSTOM=1

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_configure:
	mv simde-sse2.h simde-sse2.h.orig
	rm -f skbio/alignment/_ssw_wrapper.c skbio/diversity/_phylogenetic.c skbio/stats/__subsample.c skbio/metadata/_intersection.c
	dh_auto_configure

override_dh_auto_build-arch:
	dh_auto_build

override_dh_auto_build-indep:
	dh_auto_build
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) \
		http_proxy='127.0.0.1:9' MPLCONFIGDIR=.\
		python3 `which sphinx-build` -b html -d doc/build/doctrees doc/source doc/build/html
endif

override_dh_auto_test-indep:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo No testing for the -doc package
endif

override_dh_auto_clean:
	if [ "`find . -name "*.pyo"`" = "" ] ; then echo no need to clean up ; else dh_auto_clean; fi

override_dh_clean:
	if [ -f simde-sse2.h.orig ] ; then mv simde-sse2.h.orig simde-sse2.h ; fi
	dh_clean
	find ./skbio -name '*.so' -delete
	find ./skbio -name '*.o' -delete
	rm -rf doc/build build doc/source/generated
	find doc -name *.doctree -delete
	rm -rf .pybuild
	rm -f scikit_bio.egg-info/PKG-INFO scikit_bio.egg-info/SOURCES.txt scikit_bio.egg-info/dependency_links.txt scikit_bio.egg-info/requires.txt scikit_bio.egg-info/top_level.txt
	rm -f skbio/alignment/_ssw_wrapper.c skbio/diversity/_phylogenetic.c skbio/stats/__subsample.c skbio/metadata/_intersection.c
	mv simde-sse2.h.orig simde-sse2.h || true

execute_after_dh_install:
	dh_numpy3

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	dh_link --package=$(DOCPKG) \
		/usr/share/javascript/mathjax/MathJax.js \
		/usr/share/doc/$(DOCPKG)/html/_static/MathJax.js
	dh_sphinxdoc --package=$(DOCPKG)
endif

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/biocore/scikit-bio/tags .*/([.0-9]+)\.tar\.gz
